summaryrefslogtreecommitdiffstats
path: root/openwrt/package/base-files/default/bin/login
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-17 22:52:59 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-17 22:52:59 +0000
commit3d007394805916ceb2214bfd7e06d8a4899262c5 (patch)
tree56a8d56d6b30807c4241db07dd6ac9263eedd4e6 /openwrt/package/base-files/default/bin/login
parent8d16fb08b8b71ee4c97ad7c25f2bef2d459ea066 (diff)
move target/default/target_skeleton into package/base-files, put all the default files in ipkg packages, cleanup some junk in toolchain/, toolchain/ no longer changes build_mipsel/root
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@1494 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/base-files/default/bin/login')
-rwxr-xr-xopenwrt/package/base-files/default/bin/login20
1 files changed, 20 insertions, 0 deletions
diff --git a/openwrt/package/base-files/default/bin/login b/openwrt/package/base-files/default/bin/login
new file mode 100755
index 000000000..bb065e54a
--- /dev/null
+++ b/openwrt/package/base-files/default/bin/login
@@ -0,0 +1,20 @@
+#!/bin/sh
+. /etc/sysconf 2>&-
+
+[ "$FAILSAFE" != "true" ] &&
+[ "$BR2_SYSCONF_TELNET_FAILSAFE_ONLY" = "y" ] &&
+{
+ grep '^root:[^!]' /etc/passwd >&- 2>&- &&
+ {
+ echo "Login failed."
+ exit 0
+ } || {
+cat << EOF
+ === IMPORTANT ============================
+ Use 'passwd' to set your login password
+ this will disable telnet and enable SSH
+ ------------------------------------------
+EOF
+ }
+}
+exec /bin/ash --login